-- genhdl\pls_response_01/pls_response_01.vhd
-- Generated by SystemVision netlister 1.0 build 2005.25.1_SV
-- File created Thu Aug 31 11:46:42 2006

library ieee;
library edulib;
use ieee.std_logic_1164.all;
use ieee.electrical_systems.all;
use ieee.mechanical_systems.all;
use ieee.fluidic_systems.all;
use ieee.thermal_systems.all;
use ieee.radiant_systems.all;
use work.all;

entity PLS_RESPONSE_01 is
end entity PLS_RESPONSE_01;

architecture arch_PLS_RESPONSE_01 of PLS_RESPONSE_01 is
   terminal PLS: ELECTRICAL;
   terminal DRV: ELECTRICAL;
   terminal LT: ELECTRICAL;
   terminal RCV: ELECTRICAL;

begin

   TL1 : entity WORK.IBIS_T(IDEAL)
      generic map ( TD => 0.5E-9,
                    Z0 => 100.0 )
      port map ( N1 => DRV,
                REF1 => ELECTRICAL_REF,
                N2 => LT,
                REF2 => ELECTRICAL_REF );

   L1 : entity EDULIB.INDUCTOR(IDEAL)
      generic map ( IND => 10.0E-9 )
      port map ( P1 => LT,
                P2 => RCV );

   R1 : entity EDULIB.RESISTOR(IDEAL)
      generic map ( RES => 100.0 )
      port map ( P1 => PLS,
                P2 => DRV );

   C1 : entity WORK.IBIS_C(PDA_ON)
      generic map ( CVAL => 1.0E-12,
                    V0 => 0.0 )
      port map ( P => RCV,
                N => ELECTRICAL_REF );

   PLS_1 : entity EDULIB.V_PULSE(IDEAL)
      generic map ( DELAY => 1 FS,
                    INITIAL => 0.0,
                    PERIOD => 10 NS,
                    PULSE => 1.0,
                    TI2P => 1 PS,
                    TP2I => 1 PS,
                    WIDTH => 0.199 NS )
      port map ( POS => PLS,
                NEG => ELECTRICAL_REF );

end architecture arch_PLS_RESPONSE_01;

