-- genhdl\pls_response_02/pls_response_02.vhd
-- Generated by SystemVision netlister 1.0 build 2005.25.1_SV
-- File created Wed Sep 06 10:02:18 2006

library ieee;
library edulib;
use ieee.std_logic_1164.all;
use ieee.electrical_systems.all;
use ieee.mechanical_systems.all;
use ieee.fluidic_systems.all;
use ieee.thermal_systems.all;
use ieee.radiant_systems.all;
use work.all;

entity PLS_RESPONSE_02 is
end entity PLS_RESPONSE_02;

architecture arch_PLS_RESPONSE_02 of PLS_RESPONSE_02 is
   terminal PLS: ELECTRICAL;
   terminal DRV: ELECTRICAL;
   terminal EYE_U: ELECTRICAL;
   terminal LT: ELECTRICAL;
   terminal EYE_L: ELECTRICAL;
   terminal RCV: ELECTRICAL;

begin

   C1 : entity WORK.C_PDA(PDA_ON)
      generic map ( CVAL => 1.0E-12 )
      port map ( C_P => RCV,
                C_N => ELECTRICAL_REF,
                UPPEREYE_P => EYE_U,
                UPPEREYE_N => ELECTRICAL_REF,
                LOWEREYE_P => EYE_L,
                LOWEREYE_N => ELECTRICAL_REF );

   PLS_1 : entity EDULIB.V_PULSE(IDEAL)
      generic map ( DELAY => 1 PS,
                    INITIAL => 0.0,
                    PERIOD => 10 NS,
                    PULSE => 1.0,
                    TI2P => 1 PS,
                    TP2I => 1 PS,
                    WIDTH => 0.199 NS )
      port map ( POS => PLS,
                NEG => ELECTRICAL_REF );

   TL1 : entity WORK.IBIS_T(IDEAL)
      generic map ( TD => 0.5E-9,
                    Z0 => 100.0 )
      port map ( N1 => DRV,
                REF1 => ELECTRICAL_REF,
                N2 => LT,
                REF2 => ELECTRICAL_REF );

   L1 : entity EDULIB.INDUCTOR(IDEAL)
      generic map ( IND => 10.0E-9 )
      port map ( P1 => LT,
                P2 => RCV );

   R1 : entity EDULIB.RESISTOR(IDEAL)
      generic map ( RES => 100.0 )
      port map ( P1 => PLS,
                P2 => DRV );

end architecture arch_PLS_RESPONSE_02;

